package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.DBVerify;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 教学学生参数
 * @Author: CaoZixuan
 * @Date: 2022-02-24
 */
public class TeachStudentParams {

    @ApiModelProperty(value = "教学学生名称")
    @NotNull(message = "请输入教学学生名称")
    @Length(min = 1,message = "请输入教学学生名称")
    @DBVerify(value = "教学学生名称",required = true)
    private String studentName;

    @ApiModelProperty(value = "教学学生名称")
    @NotNull(message = "请输入教学学生名称")
    @Length(min = 1,message = "请输入教学学生名称")
    @DBVerify(value = "教学学生名称",required = true)
    private String studentCode;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教学班级主键")
    @NotNull(message = "请选择教学班级")
    @Range(min = 1L, message = "请选择教学班级")
    @DBVerify(value = "教学班级id",required = true)
    private Long teachClazzId;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Long getTeachClazzId() {
        return teachClazzId;
    }

    public void setTeachClazzId(Long teachClazzId) {
        this.teachClazzId = teachClazzId;
    }
}
